    PROGRAM g01bkfe

!      G01BKF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01bkf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: peqk, pgtk, plek, rlamda
       INTEGER                         :: ifail, k
!      .. Executable Statements ..
       WRITE (nout,*) 'G01BKF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '    RLAMDA     K     PLEK      PGTK      PEQK'
       WRITE (nout,*)

!      Loop over all data
D_LP:  DO
          READ (nin,*,IOSTAT=ifail) rlamda, k
          IF (ifail/=0) THEN
!            All data processed
             EXIT D_LP
          END IF

!         Calculate probability
          ifail = 0
          CALL g01bkf(rlamda,k,plek,pgtk,peqk,ifail)

!         Display results
          WRITE (nout,99999) rlamda, k, plek, pgtk, peqk
       END DO D_LP

99999  FORMAT (1X,F10.3,I6,3F10.5)
    END PROGRAM g01bkfe
